## r-cran-filehash 2.4

=== DESCRIPTION ===
Package: filehash
Version: 2.4-6
Depends: R (>= 3.0.0)
Imports: digest, methods
Collate: filehash.R filehash-DB1.R filehash-RDS.R coerce.R dump.R
        hash.R queue.R stack.R zzz.R
Title: Simple Key-Value Database
Author: Roger D. Peng <roger.peng@austin.utexas.edu>
Maintainer: Roger D. Peng <roger.peng@austin.utexas.edu>
Description: Implements a simple key-value style database where character string keys
  are associated with data values that are stored on the disk. A simple interface is provided for inserting,
  retrieving, and deleting data from the database. Utilities are provided that allow 'filehash' databases to be
  treated much like environments and lists are already used in R. These utilities are provided to encourage
  interactive and exploratory analysis on large datasets. Three different file formats for representing the
  database are currently available and new formats can easily be incorporated by third parties for use in the
  'filehash' framework.
License: GPL (>= 2)
URL: https://github.com/rdpeng/filehash
RoxygenNote: 7.3.1
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2024-06-25 13:57:00 UTC; rp34949
Repository: CRAN
Date/Publication: 2024-06-25 21:20:10 UTC

## r-cran-filehash 2.3

=== debian/changelog ===
r-cran-filehash (2.3-1) unstable; urgency=low

  * Initial release (closes: #837344)

 -- Andreas Tille <tille@debian.org>  Sat, 10 Sep 2016 21:40:05 +0200

=== debian/control ===
Source: r-cran-filehash
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-filehash/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-filehash/trunk/
Homepage: http://cran.r-project.org/web/packages/filehash

Package: r-cran-filehash
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: GNU R simple key-value database
 This GNU R package implements a simple key-value style database where
 character string keys are associated with data values that are stored on
 the disk. A simple interface is provided for inserting, retrieving, and
 deleting data from the database. Utilities are provided that allow
 'filehash' databases to be treated much like environments and lists are
 already used in R. These utilities are provided to encourage interactive
 and exploratory analysis on large datasets. Three different file formats
 for representing the database are currently available and new formats
 can easily be incorporated by third parties for use in the 'filehash'
 framework.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/R/debian/r-cran.mk

install/$(package)::
	rm -rf debian/$(package)/usr/lib/R/site-library/$(cranName)/LICENSE

# if I would only know how to hook in after dh_installdocs - forget this magic
# cdbs thingy and remove the file rather in the test sccript ...
	# Delete tests depending from devtools since this is not (yet) packaged
#	cd debian/$(package)/usr/share/doc/$(package)/tests/ ; \
#	if grep -qR devtools * ; then \
#	    rm -f `grep -lR devtools *` ; \
#	fi

## r-cran-filehash 2.4-1

=== debian/changelog ===
r-cran-filehash (2.4-1-2) unstable; urgency=medium

  * Team upload
  * Adjust reg-tests for change in summary.default() rounding

 -- Graham Inggs <ginggs@debian.org>  Fri, 13 Oct 2017 11:00:45 +0000

r-cran-filehash (2.4-1-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Convert packaging from cdbs do dh-r
  * debhelper 10
  * Standards-Version: 4.1.1
  * Canonical homepage of CRAN packages

 -- Andreas Tille <tille@debian.org>  Thu, 12 Oct 2017 17:04:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,21 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               cdbs,
+Build-Depends: debhelper (>= 10),
+               dh-r,
                r-base-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-filehash/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-filehash/trunk/
-Homepage: http://cran.r-project.org/web/packages/filehash
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-filehash.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-filehash.git
+Homepage: https://cran.r-project.org/package=filehash
 
 Package: r-cran-filehash
 Architecture: any
-Depends: ${R:Depends},
+Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${R:Depends}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: GNU R simple key-value database
  This GNU R package implements a simple key-value style database where
  character string keys are associated with data values that are stored on

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/filehash_([-\d.]*)\.tar\.gz

## r-cran-filehash 2.4-2

=== debian/changelog ===
r-cran-filehash (2.4-2-3) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 03 Sep 2020 15:18:46 +0200

r-cran-filehash (2.4-2-2) unstable; urgency=medium

  * cheating to let autopkgtest pass which otherwise would not
    Closes: #932344

 -- Andreas Tille <tille@debian.org>  Thu, 08 Aug 2019 08:49:17 +0200

r-cran-filehash (2.4-2-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * Drop unneeded patch

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jul 2019 09:12:19 +0200

r-cran-filehash (2.4-1-3) unstable; urgency=medium

  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jun 2018 10:23:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: r-cran-filehash
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-filehash.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-filehash.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-filehash
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-filehash.git
 Homepage: https://cran.r-project.org/package=filehash
+Rules-Requires-Root: no
 
 Package: r-cran-filehash
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${R:Depends}
+Depends: ${R:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R simple key-value database

=== debian/watch ===
version=3
https://cran.r-project.org/src/contrib/filehash_([-\d.]*)\.tar\.gz

## r-cran-filehash 2.4-3

=== debian/changelog ===
r-cran-filehash (2.4-3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * watch file standard 4 (routine-update)
  * Fix file used for comparison in test

 -- Andreas Tille <tille@debian.org>  Wed, 09 Mar 2022 20:50:56 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-filehash
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-filehash.git
 Homepage: https://cran.r-project.org/package=filehash

## r-cran-filehash 2.4-5

=== debian/changelog ===
r-cran-filehash (2.4-5-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Feb 2023 13:52:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: r-cran-filehash
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-filehash
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-filehash.git
 Homepage: https://cran.r-project.org/package=filehash
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-digest
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-filehash
 Architecture: any

## r-cran-filehash 2.4-6

=== debian/changelog ===
r-cran-filehash (2.4-6-2) unstable; urgency=medium

  * Team upload.
  * Tests: run in C.UTF-8 not C locale. Closes: #1115978, #932344.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 25 Sep 2025 22:30:07 +0100

r-cran-filehash (2.4-6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 06 Sep 2024 14:32:38 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-filehash
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-filehash.git
 Homepage: https://cran.r-project.org/package=filehash
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find debian -name LICENSE -delete

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/filehash_([-\d.]*)\.tar\.gz
